#include "K38ObjectiveAimAssistTarget.h"

class AActor;

void AK38ObjectiveAimAssistTarget::Server_SetSelectedObjective_Implementation(AActor* newSelectedObjective)
{

}

bool AK38ObjectiveAimAssistTarget::Server_SetSelectedObjective_Validate(AActor* newSelectedObjective)
{
	return true;
}

void AK38ObjectiveAimAssistTarget::Multicast_SetSelectedObjective_Implementation(AActor* newSelectedObjective)
{

}

bool AK38ObjectiveAimAssistTarget::Multicast_SetSelectedObjective_Validate(AActor* newSelectedObjective)
{
	return true;
}

AK38ObjectiveAimAssistTarget::AK38ObjectiveAimAssistTarget()
{
	this->_scanForObjectivesPeriod = 0.300000;
	this->_acquisitionAngle = 7.000000;
	this->_releaseAngle = 8.000000;
	this->_objectiveCenteringHeightMultiplier = 0.200000;
	this->_jointCrankTargetName = TEXT("joint_CrankTargetSocket");
}
